<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__adc__channel__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_adc_channel_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__adc__channel__t_1ae3f5aaa0bc16116937f581313a9a88cf" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__adc__t">cyhal_adc_t</ref> *</type>
        <definition>cyhal_adc_t* cyhal_adc_channel_t::adc</definition>
        <argsstring />
        <name>adc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="250" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="250" />
      </memberdef>
      <memberdef id="structcyhal__adc__channel__t_1aa6c3e0cbeff34ed618b0408597443ed3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_adc_channel_t::vplus</definition>
        <argsstring />
        <name>vplus</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="251" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="251" />
      </memberdef>
      <memberdef id="structcyhal__adc__channel__t_1abcc1d2644dbd56211ea3c8741fdf9178" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_adc_channel_t::vminus</definition>
        <argsstring />
        <name>vminus</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="252" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="252" />
      </memberdef>
      <memberdef id="structcyhal__adc__channel__t_1a6bf6a5d80c620d0c1ffd7e281f4ff5e1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_adc_channel_t::channel_idx</definition>
        <argsstring />
        <name>channel_idx</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="253" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="253" />
      </memberdef>
      <memberdef id="structcyhal__adc__channel__t_1a03534d0f3db39a0495245a42d69eb13c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_adc_channel_t::minimum_acquisition_ns</definition>
        <argsstring />
        <name>minimum_acquisition_ns</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="254" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="254" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>ADC channel object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="8">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="6">
        <label>cyhal_adc_t</label>
        <link refid="structcyhal__adc__t" />
        <childnode refid="7" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="8" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
      <node id="7">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
      <node id="5">
        <label>cyhal_adc_channel_t</label>
        <link refid="structcyhal__adc__channel__t" />
        <childnode refid="6" relation="usage">
          <edgelabel>adc</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="258" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="248" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="248" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__adc__channel__t_1ae3f5aaa0bc16116937f581313a9a88cf" virt="non-virtual"><scope>cyhal_adc_channel_t</scope><name>adc</name></member>
      <member prot="public" refid="structcyhal__adc__channel__t_1a6bf6a5d80c620d0c1ffd7e281f4ff5e1" virt="non-virtual"><scope>cyhal_adc_channel_t</scope><name>channel_idx</name></member>
      <member prot="public" refid="structcyhal__adc__channel__t_1a03534d0f3db39a0495245a42d69eb13c" virt="non-virtual"><scope>cyhal_adc_channel_t</scope><name>minimum_acquisition_ns</name></member>
      <member prot="public" refid="structcyhal__adc__channel__t_1abcc1d2644dbd56211ea3c8741fdf9178" virt="non-virtual"><scope>cyhal_adc_channel_t</scope><name>vminus</name></member>
      <member prot="public" refid="structcyhal__adc__channel__t_1aa6c3e0cbeff34ed618b0408597443ed3" virt="non-virtual"><scope>cyhal_adc_channel_t</scope><name>vplus</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>